<?php
/**
* @version	$Id: form_field_eh.php 14241 2011-03-16 20:24:35Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/
	defined('FULL_PATH') or die('restricted access!');

	class FormFieldEventHandler extends kDBEventHandler {

		/**
		 * Returns form field visibility filter
		 *
		 * @return string
		 */
		function getVisiblilityFilter()
		{
			if ($this->Application->LoggedIn() && !$this->Application->isAdminUser) {
				return '%1$s.Visibility = ' . FORM_FIELD_EVERYONE;
			}

			return '';
		}

		/**
		 * Shows fields based on user logged-in status
		 *
		 * @param kEvent $event
		 */
		function SetCustomQuery(&$event)
		{
			parent::SetCustomQuery($event);

			$object =& $event->getObject();
			/* @var $object kDBList */

			$visibility_filter = $this->getVisiblilityFilter();

			$object->addFilter('visibility_filter', $visibility_filter);
		}
	}
